% Copyright (C) Emily Stephen 2014
function cc_out = average_xcorr(cc,ac,trialinds) 
% ac: N x ntrials
% cc: N,winSizeM,N,Ntrials

if nargin<3,
    trialinds = 1:size(ac,2);
end

ac = mean(ac(:,trialinds),2);
ac = ac * ac';                  %  N x N
ac = permute(ac, [1,3,2]);      %  N x 1 x N

cc = mean(cc(:,:,:,trialinds),4);

cc_out = bsxfun(@rdivide,cc,sqrt(ac));
