% Copyright (C) Emily Stephen 2014
function timeaxis = cnt_timeaxis(SNDFin)

F = length(SNDFin.SampTimes);
Fs = SNDFin.SampFreq;

timeaxis = [];
for fi=1:F,
    fraglen = SNDFin.FragLengths(fi);
    starttime = SNDFin.SampTimes(fi);

    timeaxis = [timeaxis ((0:fraglen-1)/Fs + starttime)];
end
