% Copyright (C) Emily Stephen 2014
function blnAllowed = cnt_checktime(SNDFin,time)
% returns true if the input times are completely within one fragment of the cnt

F = length(SNDFin.SampTimes);
Fs = SNDFin.SampFreq;

blnAllowed = false;

for fi=1:F,
    fraglen = SNDFin.FragLengths(fi);
    fragstart = SNDFin.SampTimes(fi);
    fragend = (fraglen-1)/Fs + fragstart;
    
    if all(fragstart<=time) && all(time<=fragend),
        blnAllowed = true;
        return
    end
end

